<mat-card>
  <mat-card-header>
    <mat-card-title>Login</mat-card-title>
    <mat-card-subtitle>
      Please enter your credentials to sign in
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <mat-form-field appearance="fill">
      <mat-label>Enter your email</mat-label>
      <input
        matInput
        placeholder="pat@example.com"
        [formControl]="email"
        required
      />
      <mat-icon matSuffix>email</mat-icon>
      <mat-error *ngIf="email.invalid">{{ getErrorMessage() }}</mat-error>
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Enter your password</mat-label>
      <input matInput [type]="hide ? 'password' : 'text'" />
      <button
        mat-icon-button
        matSuffix
        (click)="hide = !hide"
        [attr.aria-label]="'Hide password'"
        [attr.aria-pressed]="hide"
      >
        <mat-icon>{{ hide ? "visibility_off" : "visibility" }}</mat-icon>
      </button>
    </mat-form-field>
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="primary">Login</button>
  </mat-card-actions>
</mat-card>
